# fixedwindowrollingpolicy.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::helpers
namespace | log4cxx::rolling

## Classes

class | FixedWindowRollingPolicy
| When rolling over, `FixedWindowRollingPolicy` renames files according to a fixed window algorithm as described below. More...

## Defines

#define | _LOG4CXX_ROLLING_FIXED_WINDOW_ROLLING_POLICY_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (FixedWindowRollingPolicy)

## Define Documentation

#define _LOG4CXX_ROLLING_FIXED_WINDOW_ROLLING_POLICY_H